$(document).ready(function(){

    $('input[type="range"]').rangeslider({
      // Feature detection the default is `true`.
        // Set this to `false` if you want to use
        // the polyfill also in Browsers which support
        // the native <input type="range"> element.
        polyfill: false,
    
        // Default CSS classes
        rangeClass: 'rangeslider',
        disabledClass: 'rangeslider--disabled',
        horizontalClass: 'rangeslider--horizontal',
        fillClass: 'rangeslider__fill',
        handleClass: 'rangeslider__handle',
    
        // Callback function
        onInit: function() {
          $rangeEl = this.$range;
          // add value label to handle
          var $handle = $rangeEl.find('.rangeslider__handle');
          var handleValue = '<div class="rangeslider__handle__value">' + this.value + '</div>';
          $handle.append(handleValue);
          
          // get range index labels 
          var rangeLabels = this.$element.attr('labels');
          rangeLabels = rangeLabels.split(', ');
          
          // add labels
          $rangeEl.append('<div class="rangeslider__labels"></div>');
          $(rangeLabels).each(function(index, value) {
            $rangeEl.find('.rangeslider__labels').append('<span class="rangeslider__labels__label">' + value + '</span>');
          })
        },
    
        // Callback function
        onSlide: function(position, value) {
          var $handle = this.$range.find('.rangeslider__handle__value');
          $handle.text(this.value);
        },
    
        // Callback function
        onSlideEnd: function(position, value) {}
    });
    
    (function() {
 
        window.inputNumber = function(el) {
      
          var min = el.attr('min') || false;
          var max = el.attr('max') || false;
      
          var els = {};
      
          els.dec = el.prev();
          els.inc = el.next();
      
          el.each(function() {
            init($(this));
          });
      
          function init(el) {
      
            els.dec.on('click', decrement);
            els.inc.on('click', increment);
      
            function decrement() {
              var value = el[0].value;
              value--;
              if(!min || value >= min) {
                el[0].value = value;
                $(this).parent().parent().parent().find('.secDiv').hide();
              }
            }
      
            function increment() {
              var value = el[0].value;
              value++;
              if(!max || value <= max) {
                el[0].value = value++;
                $(this).parent().parent().parent().find('.secDiv').show();
              }
            }
          }
        }
      })();
      
      inputNumber($('#bedcount'));
      inputNumber($('#bathcount'));
      inputNumber($('#totcount'));

      $(".innerParent").mCustomScrollbar({
        theme: "dark",
        scrollButtons: {enable:true}
      });


      $(".commonSelect").select2({
        minimumResultsForSearch: Infinity
      });

    $(document).on("click","a[href^='#']",function(e){
      var href=$(this).attr("href"),target=$(href).parents(".mCustomScrollbar"); 
      if(target.length){
        e.preventDefault();
        target.mCustomScrollbar("scrollTo",href);
      }
    });


  

});


